import {GET_TOTAL_PRICE, GET_NUM_ITEMS, GET_CART_PRODUCTS, GET_TOTAL_PROMOTIONS} from './../actions/cart_processing_actions'


const initialState = {
    cartProducts: [],
    numItems: 0,
    totalPrice: 0,
    totalPromotions: 0
}

const cartProcessingReducer = (prevState = initialState, action) => {
    Object.freeze(prevState)
    const nextState = {...prevState}

    switch (action.type) {
        
        case GET_TOTAL_PRICE:
            nextState.totalPrice = action.payload
            return nextState

        case GET_NUM_ITEMS:
            nextState.numItems = action.payload
            return nextState

        case GET_CART_PRODUCTS:
            nextState.cartProducts = action.payload
            return nextState

        case GET_TOTAL_PROMOTIONS:
            nextState.totalPromotions = action.payload
            return nextState


        default:
            return nextState
    }

}

export default cartProcessingReducer