import {postUser} from '../util/session-api-util'

export const SET_CURRENT_USER = "SET_CURRENT_USER"
export const LOGOUT_USER = "LOGOUT_USER"
export const SET_USER_IMAGE = "SET_USER_IMAGE"

export const setCurrentUser = (user) => {
    return {type: SET_CURRENT_USER, user}
}

export const setUserImage = (image) => {
    return {type: SET_USER_IMAGE, image}
}

export const logoutUser = () => {
    return {type: LOGOUT_USER}
}

export const login = (user) => dispatch => {
    return postUser(user).then((response)=>(
            dispatch(setCurrentUser(response))
        )   
    )
}

export const addUserImage = image => dispatch => {
    return dispatch(setUserImage(image))
}
// export const login = () => {
//     return (dispatch) => {
//         return dispatch(setCurrentUser());
//     };
// };

export const logOut = () => {
    return (dispatch) => {
        return dispatch(logoutUser());
    };
};