import { connect } from 'react-redux';
import Header from './header';
import { clearUserCart } from '../../actions/cart_actions';
import { logOut } from '../../actions/session_actions';

const mSTP = state => {
    return {
        user: state.user,
        cartLength: state.cart.length,
        image: state.user?.userImage
    }
};

const mDTP = dispatch => ({
    logOut: () => dispatch(logOut()),
    clearCart: () => dispatch(clearUserCart())
});

export default connect(mSTP, mDTP)(Header);