import axios from 'axios';
import Config from '../config';

export const fetchUserCart = userEmail => {
    return axios.get(`${Config.baseApiUrl}/api/carts/${userEmail}`)
}

export const createCart = newCart => {
    return axios.post(`${Config.baseApiUrl}/api/carts`, newCart)
}

export const updateCart = (updatedCart, userEmail) => {
    return axios.put(`${Config.baseApiUrl}/api/carts/${userEmail}`, updatedCart)
}
