export const priceCalcUtil = (productList) => {
    const totalPrice = productList.reduce((acc, curr) => {return parseFloat(acc) + (parseFloat(curr.product.price) * parseFloat(curr.quantity))}, 0)
    console.log("PRICE IN CART: " + totalPrice)
    return totalPrice
}


export const numItemsCalcUtil = (productList) => {
    const totalItems = productList.reduce((acc, curr) => {return parseInt(acc) + parseInt(curr.quantity)}, 0)
    console.log("ITEMS IN CART: " + totalItems)
    return totalItems
}


export const promoCalcUtil = (productList) => {
    const totalSavings = productList.reduce( (acc, curr) => {
        
            let temp = (parseFloat(curr.product.price) * parseFloat(curr.quantity))

            if (curr.product.promo) {
                temp = temp * (parseFloat(curr.product.promo) / 100.0) 
                return parseFloat(acc) + temp
            }
            
            else {
                return 0.0
            }
            
        }, 0)


    console.log("PROMO SAVINGS: " + totalSavings)
    return totalSavings
}